= 1.0.0 - July 1, 2017 =

* Initial release.

= 1.0.1 - July 28, 2017 =

* Featue - Added document download buttons to order overview

= 1.0.2 - August 31, 2017 =

* Fix - Javascript Issues with Firefox/IE

= 1.0.3 - October 20, 2017 =

* Fix - Javascript issue with IE11
* Fix - Removed include of none existing CSS file
* Tweak - Improved language code resolving

= 1.0.4 - November 08, 2017 =

* Fix - Fatal Error in Widgets Page

= 1.0.5 - November 16, 2017 =

* Fix - Woocommerce order emails not send 
* Fix - Settings page not loading

= 1.0.6 - November 22, 2017 =

* Fix - Order completion not updating correctly

= 1.0.7 - December 01, 2017 =

* Fix - Order status transitions after manual task
* Dev - Updated to WeArePlanet SDK 1.1.1

= 1.0.8 - December 04, 2017 =

* Fix - Webhook not updated correctly

= 1.0.9 - December 08, 2017 =

* Fix - Payment Method Image not updating
* Fix - Improved exception handling in checkout

= 1.0.10 - January 24, 2018 =

* Fix - First and last name not updated correctly during checkout
* Dev - Updated to WeArePlanet SDK 1.1.2

= 1.0.11 - January 30, 2018 =

* Tweak - Only show payment method, if customer entered full address
* Fix - Email language if WooCommerce Multilingual is installed 
* Fix - Javascript validation error display

= 1.0.12 - January 31, 2018 =

* Fix - Javascript not always included during checkout
* Fix - Issue with different browsers autofill feature

= 1.0.13 - March 16, 2018 =

* Tweak - Improved Styling
* Tweak - Renamed private variables to avoid issue with other plugins

= 1.1.0 - April 11, 2018 =

* Fix - Order Pay process
* Tweak - Additional Hooks to use with other plugins
* Dev - Internal Structure Changes
* Dev - Updated to WeArePlanet SDK 1.1.6

= 1.1.1 - April 20, 2018 =

* Fix - Issue in Checkout Javascript

= 1.1.2 - May 22, 2018 =

* Fix - Issue with refunds
* Tweak- Improved error messages for configuration issues

= 1.1.3 - June 19, 2018 =

* Fix - Method image not always loading
* Fix - Text domain
* Fix - Refund status update
* Localization - Added german translations

= 1.1.4 - July 05, 2018 =

* Tweak - Webhook processing

= 1.1.5 - July 13, 2018 =

* Fix - Fixes Fatal Error with newest version of WooCommerce Multilingual

= 1.1.6 - July 19, 2018 =

* Tweak - Updated settings page
* Dev - Updated to WeArePlanet SDK 1.1.8

= 1.1.7 - July 19, 2018 =

* Dev - Updated to WeArePlanet SDK 1.1.9

= 1.1.8 - August 16, 2018 =

* Fix - Errormessage not displayed in all cases
* Tweak - Improved javascript

= 1.1.9 - August 30, 2018 =

* Tweak - Settings descriptions
* Doc - Improved documentation

= 1.1.10 - September 07, 2018 =

* Tweak - Fall back to payment page, if iframe can not be initialized

= 1.1.11 - September 20, 2018 =

* Fix - Improved handling of backend actions

= 1.1.12 - November 13, 2018 =

* Feature - Added option to send global product attributes to WeArePlanet
* Tweak - Improved customer experience if the payment fails.

= 1.1.13 - November 16, 2018 =

* Tweak - Integrated hooks to remove product attribute options

= 1.1.14 - December 05, 2018 =

* Fix - Improved available payment method caching.
* Fix - Fixes Refund failure message not displayed.
* Feature - Added ability to use custom 'Date Of Birth' or 'Gender' field in checkout.

= 1.1.15 - December 10, 2018 =

* Tweak - Improved email confirmation with Germanized Plugin

= 1.1.16 - December 14, 2018 =

* Fix - Fixes issue with WooCommerce versions < 3.5

= 1.1.17 - December 21, 2018 =

* Tweak - Tweak email sending behaviour, when Germanized is active

= 1.1.18 - January 18, 2019 =

* Fix - Issue with browser navigation button during the checkout

= 1.1.19 - February 8, 2019 =

* Fix - Improved language detection

= 1.1.20 - February 11, 2019 =

* Tweak - Only check available payment methods on checkout pages

= 1.2.0 - March 19, 2019 =

* Tweak - Additional Actions/Filters to use with other plugins
* Fix - Get transaction language from order

= 1.2.1 - March 26, 2019 =

* Fix - Item amounts for refunds

= 1.2.2 - March 28, 2019 =

* Tweak - Added additional hooks for subscriptions

= 1.2.3 - March 29, 2019 =

* Fix - Method not always showing

= 1.2.4 - April 03, 2019 =

* Fix - Issue with checkout JS
* Tweak - Show warning for tax rounding at subtotal level

= 1.2.5 - June 07, 2019 =

* Docs - Improved state graph and documentation
* Dev - Updated supported WooCommerce versions

= 1.2.6 - July 09, 2019 =

* Fix - Issue with shipping address
* Fix - Issue with payment method not showing

= 1.2.7 - July 17, 2019 =

* Fix - Issue with refunds
* Tweak - Only load backend javascript on order page

= 1.2.8 - July 29, 2019 =

* Fix - Issues with email not being sent

= 1.2.9 - October 3, 2019 =

* Fix - Issues with postal state not transmitted correctly

= 1.2.10 - October 16, 2019 =

* Tweaks - Improved compatibility with other plugins

= 1.2.11 - October 29, 2019 =

* Fix - Fixes issue with token webhook

= 1.2.12 - November 27, 2019 =

* Fix - Update used PHP SDK.

= 1.2.13 - December 5, 2019 =

* Fix - Document download
* Dev - Update used PHP SDK

= 1.2.14 - December 5, 2019 =

* Fix - Document download
* Dev - Update used PHP SDK

= 1.2.15 - December 19, 2019 =

* Fix - Discount display

= 1.2.16 - December 19, 2019 =

* Fix - Discount display

= 1.3.0 - January 21, 2020 =

* Feature - Add lightbox integration

= 1.3.1 - January 27, 2020 =

* Feature - Enforce Line Item consistency

= 1.3.2 - January 27, 2020 =

* Buxfix - Fix reload

= 1.3.3 - February 04, 2020 =

* Update Translations

= 1.3.4 - February 24, 2020 =

* Fix js email validation

= 1.3.5 - February 25, 2020 =

* Remove noise from logs

= 1.3.6 - March 05, 2020 =

* Fix input validation on lightbox integration

= 1.3.7 - April 06, 2020 =

* Update logging

= 1.3.8 - April 06, 2020 =

* Update logging

= 1.3.9 - April 09, 2020 =

* Update SDK
* Update Readme

= 1.3.10 - July 15, 2020 =

* Improve error handling during order creation.

= 1.3.11 - October 14, 2020 =

* Update author to Planet Merchant Services Ltd.

= 1.4 - November 11, 2020 =

* Update author url to Planet Merchant Services Ltd.
* Update weareplanet SDK

= 1.5 - November 27, 2020 =

* Shorten table names

= 1.5.1 - December 18, 2020 =

* Added EAN code to line items

= 1.5.2 - December 29, 2020 =

* Bug Fix - truncate line item name when over 150 chars

= 1.5.3 - June 7, 2021 =

* Tested plugin against wordpress version 5.7.2 and woocommerce 5.3.0

= 1.5.4 - June 13, 2021 =

* Updated the webhook for invoice payment method

= 1.5.5 - July 21, 2021 =

* Testing Wordpress version 5.8

= 1.5.6 - July 28, 2021 =

* Fixed coupons using lightbox integration type

= 1.5.7 - August 2, 2021 =

* Migrate travis

= 1.5.7 - August 2, 2021 =

* Fixed coupons using lightbox integration type

= 1.5.9 - August 10, 2021 =

* Improved error reporting for api errors

= 1.6.0 - August 10, 2021 =

* Handle deprecated Webhooks for order's stuck in 'hold' status
* Update SDK to 3.0.1

= 1.7.0 - October 4, 2021 =

* Revert payment flow change done in v1.5.4

= 1.7.1 - November 22, 2021 =

* add german translations

= 1.7.1 - November 22, 2021 =

* adjust translation date

= 1.7.3 - January 25, 2022 =

* checkout loading fix

= 1.7.4 - February 08, 2022 =

* updated JS snippet
* tested against WP 5.9, WC 6.1.1

= 1.7.5 - February 28, 2022 =

* updated documentation

= 1.7.6 - March 1, 2022 =

* create new transaction when subscription is removed from cart to prevent issues with payment choice

= 1.7.7 - March 8, 2022 =

* test release for GitLab Ci/CD instegration

= 1.7.8 - March 10, 2022 =

* test release for GitLab Ci/CD instegration, no changes to code, just an empty release

= 1.7.9 - March 10, 2022 =

* test release for GitLab Ci/CD instegration, no changes to code, just an empty release

= 1.7.10 - March 22, 2022 =

* remove double slash from enqueue url

= 1.7.11 - April 11, 2022 =

* add payment method descriptions when address is empty

= 1.7.12 - May 02, 2022 =

* support link update in documentation

= 1.7.14 - May 11, 2022 =

* added order reference number to order info
* tested against Woocommerce 6.3.1, Wordpress 5.9.3

= 1.7.13 - May 09, 2022 =

* allow filter for jmerchant to select order id or order number
* tested against Woocommerce 6.3.1, Wordpress 5.9.3

= 1.7.15 - June 22, 2022 =

* enable translatepress support for line item translations into the portal
* tested against Woocommerce 6.3.1, Wordpress 6.0, Translatepress 2.2.9

= 1.7.15 - June 15, 2022 =

* fix for non whitelabelled reference

= 1.7.17 - June 27, 2022 =

* fix for upstream translation

improve links on readme

trademark requirements fix

multiple code improvements for security and best practices

Travis improvements

Adjust documentation (remove setup assistant)

Fix line item requires value

Numerous fixes to meet Wordpress community standards and guidelines

Travis build fix for deployment

Travis build fix for deployment

Travis build fix for deployment

Travis build fix for deployment

changes to build pipeline

Minor bugfix for dependencies

sanitation bugfix

travis timeout fix

fixes for escaping output

major version update

Features:
- Support of Wordpress 6.1
- Support of Woocommerce 7.0.1
Bugfixes:
- Fix that when 0 manual task are needed, the message ‘0 manuelle Tasks benötigen Ihre Aufmerksamkeit’ is shown.
Tested against:
- PHP 7.4.32
- Wordpress: 6.1
- Woocommerce: 6.7.0

## Features:
- Added analytics headers.
- Support of Wordpress 6.1.1
- Support of Woocommerce 7.1.0

## Tested against:
- PHP 7.4.32
- Wordpress: 6.1.1
- Woocommerce: 7.1.0

## Features:
- Compatibility improvement.
- Support of Wordpress 6.1.1
- Support of Woocommerce 7.1.0

## Tested against:
- PHP 7.4.32
- Wordpress: 6.1.1
- Woocommerce: 7.1.0

## Features:
- Compatibility improvement.
- Support of Wordpress 6.1.1
- Support of Woocommerce 7.1.0

## Tested against:
- PHP 7.4.32
- Wordpress: 6.1.1
- Woocommerce: 7.1.0

## Feature
- Support of Woocommerce 7.1.1 to 7.3.0

## Bug
- Fix the typo *stdClass::$eventd* to **stdClass::$eventId**

## Tested Against
- PHP 7.4.32
- Wordpress 6.1.1
- Woocommerce 7.3.0

## Feature
- Make the latest version of the plugin available on the marketplace

## Tested Against
- PHP 7.4.32
- Wordpress 6.1.1
- Woocommerce 7.3.0

## Feature
- Upgrade the **PHP sdk version** to 3.2.0 to add compatibility with PHP 8.1
- Support of Woocommerce 7.4.0
- Loading jQuery BlockUI only if it is available

## Bug
- Removal of *woocommerce* trademark from translations and error message

## Tested Against
- PHP 8.1
- Wordpress 6.1.1
- Woocommerce 7.4.0
- PHP sdk 3.2.0

## Bugfix
- Fix incompatibilities with the new WooCommerce version 7.5.0

## Tested Against
- PHP 8.1
- Wordpress 6.1.1
- Woocommerce 7.5.0
- PHP SDK 3.2.0

= 2.1.9 - March 22, 2023 =

## Feature
- Smart Coupons Compatibility

## Tested Against
- PHP 8.1
- Wordpress 6.1.1
- Woocommerce 7.5.0
- PHP SDK 3.2.0

= 2.1.10 - March 30, 2023 =

## Bugfix
- Prevent Customer from upgrading to unsupported version of WooCommerce (7.5.+)

## Tested Against
- PHP 8.1
- Wordpress 6.1.1
- Woocommerce 7.4.1
- PHP SDK 3.2.0

= 2.1.11 - April 13, 2023 =

## Bugfix
- Fix the Smart Coupon impact on renewal of Subscriptions

## Tested Against
- PHP 8.1
- Wordpress 6.2
- Woocommerce 7.4.1
- PHP SDK 3.2.0

= 2.1.12 - April 20, 2023 =

* [Features] Provide a *Warning Message* in case the installed Woocommerce version is not supported
* [Features] Support of Woocommerce 7.5.0
* [Features] Support of Woocommerce 7.5.1

* [Tested Against] PHP 8.1
* [Tested Against] Wordpress 6.2.0
* [Tested Against] Woocommerce 7.5.1
* [Tested Against] PHP SDK 3.2.0

= 2.1.13 - April 25, 2023 =

* [Features] Support of Woocommerce 7.6.0

* [Tested Against] PHP 8.1
* [Tested Against] Wordpress 6.2.0
* [Tested Against] Woocommerce 7.6.0
* [Tested Against] PHP SDK 3.2.0

= 2.1.14 - April 27, 2023 =

* [Features] Support of Woocommerce 7.6.1

* [Tested Against] PHP 8.1
* [Tested Against] Wordpress 6.2.0
* [Tested Against] Woocommerce 7.6.1
* [Tested Against] PHP SDK 3.2.0

* [Features] Provide a fallback to handle payment when Woocommerce latest release break the iframe / lightbox 
* [Features] Support of Woocommerce 7.7.0
* [BugFix] Fix the line item inconsistency when using Taxes and a Coupon
* [BugFix] Fix the parameter organisation name when using the payment method **Powerpay Invoice**

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.2.0
* [Tested Against] Woocommerce 7.7.0
* [Tested Against] PHP SDK 3.2.0

* [BugFix] Fix the thankyou page redirection issue

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.2.0
* [Tested Against] Woocommerce 7.7.0
* [Tested Against] PHP SDK 3.2.0

* [Features] Support of Wordpress 6.2.1
* [Features] Support of Wordpress 6.2.2
* [Features] Support of Woocommerce 7.7.1
* [BugFix] Fix the fatal error raised when using non-whitelabel payment method
* [BugFix] Fix the error raised when using the Coupon *Sign Up Fee % Discount*

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.2.0
* [Tested Against] Woocommerce 7.7.0
* [Tested Against] PHP SDK 3.2.0

* [Features] Support of Wordpress 6.2.1
* [Features] Support of Wordpress 6.2.2
* [Features] Support of Woocommerce 7.7.1
* [BugFix] Fix the fatal error raised when using non-whitelabel payment method
* [BugFix] Fix the error raised when using the Coupon *Sign Up Fee % Discount*

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.2.0
* [Tested Against] Woocommerce 7.7.0
* [Tested Against] PHP SDK 3.2.0

= 2.1.19 - June 13, 2023 =

* [Features] Add compatibility with plugin **YITH**
* [BugFix] Fix the duplication of transaction created in the portal when we make a payment
* [BugFix] Correct release notes

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.2.0
* [Tested Against] Woocommerce 7.7.1
* [Tested Against] PHP SDK 3.2.0

= 2.1.20 - June 16, 2023 =

* [Features] Support of Woocommerce 7.8.0

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.2.2
* [Tested Against] Woocommerce 7.8.0
* [Tested Against] PHP SDK 3.2.0

= 2.1.21 - June 22, 2023 =

* [BugFix] Make the latest version of the plugin available on the marketplace

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.2.2
* [Tested Against] Woocommerce 7.8.0
* [Tested Against] PHP SDK 3.2.0

= 2.1.22 - July 11, 2023 =

* [Features] Support of Woocommerce 7.8.1
* [Features] Support of Woocommerce 7.8.2
* [BugFix] Fix the impossibility of changing the payment method of a subscription

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.2.2
* [Tested Against] Woocommerce 7.8.2
* [Tested Against] PHP SDK 3.2.0

= 2.1.23 - August 23, 2023 =

* [Features] Support of Wordpress 6.3.0
* [Features] Support for v8.0.0. Caveat - we dot not support checkout blocks at the current time. If WeArePlanet payment methods do not appear on the checkout, replace the blocks with the checkout shortcode.
* [BugFix] Fix the error caused by an incorrect query statement when attempting to load an attribute ID.

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.3.0
* [Tested Against] Woocommerce 8.0.0
* [Tested Against] PHP SDK 3.2.0

= 2.1.24 - September 26, 2023 =

* [Features] Support of Wordpress 6.3.0
* [BugFix] Fix an error when users try to re-pay a transaction

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.3.0
* [Tested Against] Woocommerce 8.0.0
* [Tested Against] PHP SDK 3.2.0

= 2.1.25 - October 9, 2023 =

* [Features] Increased woocommerce version support to 8.1.1.

* [Tested Against] PHP 8.0.28
* [Tested Against] Wordpress 6.3.0
* [Tested Against] Woocommerce 8.1.1
* [Tested Against] PHP SDK 3.2.0

= 2.1.26 - December 6, 2023 =
- [BugFix] Resolved line item inconsistencies that could occur when using coupons
- [BugFix] Fixed the issue preventing invoice downloads
- [Tested Against] PHP 8.0.28
- [Tested Against] Wordpress 6.3.0
- [Tested Against] Woocommerce 8.1.1
- [Tested Against] PHP SDK 4.0.2

= 2.1.27 - December 12, 2023 =
- [HotFix] Fix static base url
- [Tested Against] PHP 8.0.28
- [Tested Against] Wordpress 6.3.0
- [Tested Against] Woocommerce 8.1.1
- [Tested Against] PHP SDK 4.0.2

= 2.1.28 - December 13, 2023 =
- [HotFix] Fix incorrectly named css files and paths
- [Tested Against] PHP 8.0.28
- [Tested Against] Wordpress 6.3.0
- [Tested Against] Woocommerce 8.4.0
- [Tested Against] PHP SDK 4.0.2

= 3.0.0 - February 20 2024 =
- [Feature] Full version release
- [Tested Against] PHP 8.0
- [Tested Against] Wordpress 6.4.3
- [Tested Against] Woocommerce 8.5.2
- [Tested Against] PHP SDK 4.0.2

= 3.0.1 - April 3 2024 =
- [Feature] Added support to High Performance Order Storage (HPOS).
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.5
- [Tested Against] Woocommerce 8.7.0
- [Tested Against] PHP SDK 4.0.2

= 3.0.2 - April 22 2024 =
- [Hotfix] Fixed completion in the backend with coupon.
- [Hotfix] Fixed tax amount not sent correctly to the portal.
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.5
- [Tested Against] Woocommerce 8.7.0
- [Tested Against] PHP SDK 4.0.2

= 3.0.3 - April 23 2024 =
- [Hotfix] Version increment for release
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.5
- [Tested Against] Woocommerce 8.7.0
- [Tested Against] PHP SDK 4.0.2

= 3.0.4 - April 23 2024 =
- [Hotfix] Restore version and tested against comments in base file
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.5
- [Tested Against] Woocommerce 8.7.0
- [Tested Against] PHP SDK 4.0.2

= 3.0.5 - April 25 2024 =
- [Bugfix] Notification message in admin panel is now truly dissmisable.
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.5
- [Tested Against] Woocommerce 8.7.0
- [Tested Against] PHP SDK 4.0.2

= 3.0.6 - May 30 2024 =
- [Feature] Upgraded PHP-SDK to 4.2.0
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.5.3
- [Tested Against] Woocommerce 8.9.1
- [Tested Against] PHP SDK 4.2.0

= 3.0.7 - Jun 14 2024 =
- [Feature] Upgraded PHP-SDK to 4.2.1
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.5.3
- [Tested Against] Woocommerce 8.9.1
- [Tested Against] PHP SDK 4.2.0

= 3.0.8 - Jul 2 2024 =
- [Tested Against] PHP 8.0
- [Tested Against] Wordpress 6.6.rc1
- [Tested Against] Woocommerce 9.0.2
- [Tested Against] PHP SDK 4.2.0

= 3.0.9 - Jul 22 2024 =
- [Bugfix] If payment fails, go back to checkout page.
- [Tested Against] PHP 8.0
- [Tested Against] Wordpress 6.6
- [Tested Against] Woocommerce 9.1.2
- [Tested Against] PHP SDK 4.4.0

= 3.0.10 - Aug 14 2024 =
- [Bugfix] Fixed syntax issues with older php versions (7.4)
- [Tested Against] PHP 8.0 and PHP 7.4
- [Tested Against] Wordpress 6.6
- [Tested Against] Woocommerce 9.1.4
- [Tested Against] PHP SDK 4.5.0

= 3.0.11 - Aug 16 2024 =
- [Bugfix] Fixed errors of undefined payment methods
- [Tested Against] PHP 8.0 and PHP 7.4
- [Tested Against] Wordpress 6.6
- [Tested Against] Woocommerce 9.1.4
- [Tested Against] PHP SDK 4.5.0

= 3.0.12 - Aug 21 2024 =
- [Feature] Implemented the Webhook Signing Mechanism
- [Tested Against] PHP 8.0 and PHP 7.4
- [Tested Against] Wordpress 6.6
- [Tested Against] Woocommerce 9.1.4
- [Tested Against] PHP SDK 4.5.0

= 3.1.0 - Sept 12 2024 =
- [Feature] Add privacy policy URL
- [Feature] Adhere to WP code standards
- [Feature] Add Support for WC 9.2.x
- [Bugfix] Fix for error when renewing subscriptions
- [Bugfix] Fix for deferred payments status being incorrect
- [Tested Against] PHP 8.2 and PHP 7.4
- [Tested Against] Wordpress 6.6
- [Tested Against] Woocommerce 9.1.4 & Woocommerce 9.2.1
- [Tested Against] PHP SDK 4.5.0

= 3.2.0 - Sept 23 2024 =
- [Feature] Add privacy policy URL
- [Feature] Adhere to WP code standards
- [Feature] Add Support for WC 9.3.x
- [Bugfix] Fix for error when renewing subscriptions
- [Bugfix] Fix for deferred payments status being incorrect
- [Bugfix] Added migrations for 3.2.0 changes
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.6
- [Tested Against] Woocommerce 9.3.1
- [Tested Against] PHP SDK 4.5.0

= 3.2.1 - Sept 24 2024 =
- [Bugfix] Fix constant name
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.6
- [Tested Against] Woocommerce 9.3.1
- [Tested Against] PHP SDK 4.5.0

= 3.3.0 - Sept 25 2024 =
- [Bugfix] Fix for infinite load when Germanized plugin active
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.6
- [Tested Against] Woocommerce 9.3.2
- [Tested Against] PHP SDK 4.6.0

Please ensure that in woocommerce->settings->tax, the "Round tax at subtotal level, instead of rounding per line" is disabled

= 3.3.1 - October 14 2024 =
- [Feature] Added CH, FR and IT translations
- [Improvement] Improve payment method loading speed at checkout
- [Bugfix] Fix for incompatibility with Translatepress
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.6
- [Tested Against] Woocommerce 9.3.2
- [Tested Against] PHP SDK 4.6.0

= 3.3.2-beta - December 3 2024 =
- [Improvement] Improve payment method loading speed at checkout
- [Bugfix] Fix for missing transaction box in order
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.4.2
- [Tested Against] PHP SDK 4.6.0

= 3.3.2 - December 10 2024 =
- [Improvement] Improve payment method loading speed at checkout
- [Bugfix] Fix for missing transaction box in order
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.4.2
- [Tested Against] PHP SDK 4.6.0

= 3.3.3 - Jan 15th 2025 =
- [Improvement] Improve payment method loading speed at checkout
- [Bugfix] Fix for missing transaction box in order
- [Bugfix] Version bump for missing files in previous release
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.4.2
- [Tested Against] PHP SDK 4.6.0

= 3.3.4 - Feb 12th 2025 =
- [Feature] Implement payment page checkout integration
- [Feature] Checkout performance optimization and general approach refactoring
- [Bugfix] Fixed for user invoice payment and redirect
- [Bugfix] Fixed discount rate and amount calculation
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.6.0
- [Tested Against] PHP SDK 4.6.0

= 3.3.5 - Mar 4 2025 =
- [Feature] Status mapping feature introduced
- [Bugfix] Fixed discount rate and amount calculation
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.7.0
- [Tested Against] PHP SDK 4.6.0

= 3.3.6 - Mar 4 2025 =
- [Bugfix] Correct default status for confirmed and fulfill

= 3.3.7 - Mar 19 2025 =
- [Bugfix] Fix for incorrect statuses being set upon completion
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.7.0
- [Tested Against] PHP SDK 4.6.0

= 3.3.8 - Mar 31 2025 =
- [Bugfix] Fix for taxes wrongly applied when coupons used and different tax rates
- [Bugfix] Fix for incorrect line item names in the portal when discounts and taxes used
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.7.1
- [Tested Against] PHP SDK 4.8.0

= 3.3.9 - Apr 29th 2025 =
- [Feature] Improved text and translations in documentation
- [Feature] Compatibility tested against Woocommerce 9.8.x
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.8.2
- [Tested Against] PHP SDK 4.8.0

= 3.3.10 - May 13th 2025 =
- [Bugfix] Fix to allow bulk order updates
- [Bugfix] Process 0 amount transactions correctly
- [Bugfix] Fix email sending at the correct time (when payment authorized and paid)
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.8.5
- [Tested Against] PHP SDK 4.8.0

= 3.3.10 - June 3rd 2025 =
- [Bugfix] Fixed bug with overriding alternate order statuses
- [Bugfix] Fixed bug with virtual products not goint into correct status
- [Feature] Improved checkout speed, especially when using Germanized plugin
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.8.5
- [Tested Against] PHP SDK 4.8.0

= 3.3.12 - June 4th 2025 =
- [Hotfix] Incorrect index name
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.8.5
- [Tested Against] PHP SDK 4.8.0

= 3.3.13 - July 1st 2025 =
- [Bugfix] Remove pay button for already paid orders
- [Bugfix] Fix error when manually extending a subscription
- [Bugfix] Fix incorrect handling of orders containing 0 amount line items
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 9.9.5
- [Tested Against] PHP SDK 4.8.0

= 3.4.6 - July 22nd 2025 =
- [Bugfix] Fix class loading order issues
- [Bugfix] Fix problem with multisite not installing tables when plugin is network activated
- [Bugfix] Fix missing payment methods if subscription price is 0
- [Bugfix] Fix for failed subscriptions renewals if subscription contains a discount
- [Bugfix] Fix for iframe payment fields not loading on delivery method change
- [Feature] Added plugin version metric
- [Feature] Send order notes to portal
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 10.0.0
- [Tested Against] PHP SDK 4.8.0

= 3.3.15 - July 23rd 2025 =
- [Hotfix] Rollback to stable version

= 3.4.6 - July 29nd 2025 =
- [Bugfix] Fix class loading order issues
- [Bugfix] Fix problem with multisite not installing tables when plugin is network activated
- [Bugfix] Fix missing payment methods if subscription price is 0
- [Bugfix] Fix for failed subscriptions renewals if subscription contains a discount
- [Bugfix] Fix for iframe payment fields not loading on delivery method change
- [Feature] Added plugin version metric
- [Feature] Send order notes to portal
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 10.0.3
- [Tested Against] PHP SDK 4.8.0

= 3.4.6 - July 30th 2025 =
- [Bugfix] Fix issue with calling a renamed function
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 10.0.4
- [Tested Against] PHP SDK 4.8.0

= 3.3.18 - August 26th 2025 =
- [Feature] Improved pipeline
- [Feature] Compatibility with 10.1.x
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 10.1.0
- [Tested Against] PHP SDK 4.8.0

= 3.3.19 - September 1st 2025 =
- [Feature] Improved webhook performance at checkout
- [Bugfix] Fixed issue with headers sent early, prevent emails from being sent
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 10.1.0
- [Tested Against] PHP SDK 4.8.0

= 3.3.20 - September 17th 2025 =
- [Feature] 10.2.x Compatibilty
- [Bugfix] Prevent webhooks from incorrectly closing transactions for other payment methods
- [Bugfix] Ensure emails can be sent when Germanized plugin is active
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 10.2.0
- [Tested Against] PHP SDK 4.8.0

= 3.3.21 - October 14th 2025 =
- [Feature] Refactor the way custom status mapping is applied
- [Feature] Pending payment emails can be disabled
- [Feature] Code cleaning
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 10.2.2
- [Tested Against] PHP SDK 4.8.0

= 3.3.22 - October 30th 2025 =
- [Feature] Bump SDK version to include new ca bundle
- [Feature] 10.3.0 compatibility
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 10.3.0
- [Tested Against] PHP SDK 4.8.1

= 3.3.23 - November 5th 2025 =
- [Feature] Updated plugin metada and description
- [Feature] Removed compatibility information banner
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.7
- [Tested Against] Woocommerce 10.3.0
- [Tested Against] PHP SDK 4.8.1

= 3.4.0 - January 5th 2026 =
- [Feature] Integrate subscriptions plugin
- [Feature] Compatibility with official Woocommerce Gift Cards plugin
- [Feature] Compatibility with Wordpress 6.9
- [Feature] Compatibility with Woocommerce 10.4.x
- [Bugfix] Fixed issue with 100% coupon still trying to capture payment
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.9
- [Tested Against] Woocommerce 10.4.3
- [Tested Against] PHP SDK 4.8.1

= 3.4.1 - February 16th 2026 =
- [Feature] Integrate checkout metrics
- [Feature] 10.5 compatibility
- [Bugfix] Fixed some rendering issues
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 6.9
- [Tested Against] Woocommerce 10.5.1
- [Tested Against] PHP SDK 4.8.1

= 3.4.2 - March 9th 2026 =
- [Feature] Tested against Wordpress 7
- [Bugfix] Fixed issue with rounding leading to totals discrepency
- [Bugfix] Fixed fatal error with missing attribute when using the Polylang plugin
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 7.x-beta 
- [Tested Against] Woocommerce 10.5.1
- [Tested Against] PHP SDK 4.8.1

= 3.4.4 - March 9th 2026 =
- [Feature] Tested against Wordpress 7
- [BugFix] Solved issue with session type detection
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 7.x-beta
- [Tested Against] Woocommerce 10.5.1
- [Tested Against] PHP SDK 4.8.1

= 3.4.5 - June 17th 2026 =
- [BugFix] Solved issue with pay button appearing for Bank Transfer
- [Tested Against] PHP 8.2
- [Tested Against] Wordpress 7
- [Tested Against] Woocommerce 10.8.1
- [Tested Against] PHP SDK 4.8.1

= 3.4.6 - July 7th 2026 =
- [BugFix] Fixed issue with webhooks not setting correct status; cancelled when they should be successful
- [Tested Against] PHP 8.4.20
- [Tested Against] Wordpress 7
- [Tested Against] Woocommerce 10.9.3
- [Tested Against] PHP SDK 4.8.1

